For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete broadcast recipients

Remove one or more recipients from a broadcast by broadcastRecipientUid. Allowed only while the broadcast is DRAFT.

Required permissions: BROADCAST

delete
/tenants/{tenantUid}/stores/{storeUid}/broadcasts/{broadcastUid}/recipients
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
broadcastUidstringRequired

Reference to a Broadcast.

Pattern: ^[A-Za-z0-9-_]+
Body

The recipients to remove from a broadcast, by uid (one or more; DRAFT only).

broadcastRecipientUidsstring[]Required
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/broadcasts/{broadcastUid}/recipients
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/broadcasts/{broadcastUid}/recipients HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "broadcastRecipientUids": [
    "text"
  ]
}
204

No Content

No content

Last updated

Was this helpful?